function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import SelectBehaviour, { OptionBehaviour } from "./Select.behaviour";
import SelectSkeleton, { OptionSkeleton } from "./Select.skeleton";
import selectPropTypes, { defaultProps, propsDescription } from "./Select.propTypes";
import constantProps from "./Select.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function Select(props) {
  return /*#__PURE__*/React.createElement(SelectBehaviour, _extends({}, props, {
    renderComponent: SelectSkeleton
  }));
}
export function Option(props) {
  return /*#__PURE__*/React.createElement(OptionBehaviour, _extends({}, props, {
    renderComponent: OptionSkeleton
  }));
}
Select.propTypes = selectPropTypes;
Select.defaultProps = defaultProps;
Select.propsDescription = propsDescription;
Select.constantProps = constantProps;

if (false) {
  Select.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}